import { FlexyForm, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { FlexyFormControlOptionsService } from '../services/form-control-options.service';
import { Subscription } from 'rxjs';
import { FlexyLoggerService } from '@ng-flexy/core';
export interface FlexyFormOptionsFilter {
    observableFields: string[];
    filter: string;
}
export declare abstract class FlexyFormAbstractOptionsComponent {
    protected optionsService: FlexyFormControlOptionsService;
    protected logger: FlexyLoggerService;
    form: FlexyForm;
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    optionsRawId: string;
    optionsFilter: FlexyFormOptionsFilter;
    loading: boolean;
    protected changesSubscription: Subscription;
    protected filterData: {};
    private _optionsCache;
    protected constructor(optionsService: FlexyFormControlOptionsService, logger: FlexyLoggerService);
    initOptions(): Promise<void>;
    private _setOptionsFiltering;
}
